Name:          logging-annotation-processor
Version:       1.7
Release:       1%{?dist}
Summary:       GlassFish Logging Annotation Processor
License:       CDDL and GPLv2 with exceptions
URL:           https://glassfish.java.net/
# svn export https://svn.java.net/svn/glassfish~svn/tags/logging-annotation-processor-1.7
# tar cJf logging-annotation-processor-1.7.tar.xz logging-annotation-processor-1.7
Source0:       %{name}-%{version}.tar.xz
# wget -O glassfish-LICENSE.txt https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt
Source1:       glassfish-LICENSE.txt
BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildArch:     noarch

%description
Annotation processors which handles source level logging annotations.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file org.glassfish.annotations:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri May 22 2015 gil cattaneo <puntogil@libero.it> 1.7-1
- initial rpm
